Skip to main content
GET
/
api
/
storefront
/
products
/
{product_id}
/
availability
Check Availability
curl --request GET \
  --url https://api.example.com/api/storefront/products/{product_id}/availability \
  --header 'X-Site-ID: <x-site-id>'
{
  "available": true,
  "quantity": 123,
  "price": "<string>",
  "compare_at_price": "<string>",
  "sku": "<string>",
  "variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-Site-ID
string
required
X-Stella-Token
string | null

Path Parameters

product_id
string<uuid>
required

Query Parameters

option1
string | null
option2
string | null
option3
string | null

Response

Successful Response

Response for availability check.

available
boolean
required
quantity
integer
required
price
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
compare_at_price
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
sku
string | null
required
variant_id
string<uuid> | null
required